/*
 *  help.C from ObjectProDSP 0.1
 *  Copyright (C) 1994, Mountain Math Software, All rights reserved.
 *  Licensed for free use and distribution under version 2 of the Gnu General
 *  Public License. Please see file COPYING for details and restrictions.
 *  
 *  ObjectProDSP is a trademark of Mountain Math Software.
 */
#include <iostream.h>
#include "usercom.h"

#include "help.h"


HelpControl HelpDo ;

 
void HelpControl::EchoCommand(const char * Cmd)
{
	if (Level < HelpLevelConfirm) return ;
	*Output + OutputHelp << Cmd << "\n" ;
}

void HelpControl::ConfirmAction(const char * Confirmation, const char * a,
	const char *b, const char * c)
{
	if (Level < HelpLevelConfirm) return ;
	*Output + OutputHelp << Confirmation ;
	if (a) *Output << a ;
	if (b) *Output << b ;
	if (c) *Output << c ;
	*Output << "\n" ;
}

